<!DOCTYPE HTML>
<!--
	Future Imperfect by HTML5 UP
	html5up.net | @ajlkn
	Free for personal and commercial use under the CCA 3.0 license (html5up.net/license)
-->
<html>
	<head>
		<title>Conhecimento Básico Sobre JavaScript</title>
		<meta charset="utf-8" />
		<meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no" />
		<link rel="stylesheet" href="../assets/css/main.css" />
		<link rel="shortcut icon" type="image/x-icon" href="../favicon.ico">
	</head>
	<body class="single is-preload">

		<!-- Wrapper -->
			<div id="wrapper">

				<!-- Header -->
					<header id="header">
						<h1><a href="../index.html">Sobre Tudo Um Pouco</a></h1>
						<nav class="links">
							<ul>
								<li><a href="../index.html">Principal</a></li>
								<li><a href="../sobre-nos.html">Sobre Nós</a></li>
								<li><a href="../politica-de-privacidade.html">Política de Privacidade</a></li>
								</ul>
						</nav>
						<nav class="main">
							<ul>
								<li class="menu">
									<a class="fa-bars" href="#menu">Menu</a>
								</li>
							</ul>
						</nav>
					</header>

				<!-- Menu -->
					<section id="menu">

						<section>
								<ul class="links">
									<li>
										<a href="../index.html">
											<h3>Principal</h3>
											<p>Acessar página principal</p>
										</a>
									</li>
									<li>
										<a href="../sobre-nos.html">
											<h3>Sobre Nós</h3>
											<p>Conheça a Nossa Comunidade</p>
										</a>
									</li>
									<li>
										<a href="../politica-de-privacidade.html">
											<h3>Política de Privacidade</h3>
											<p>Conheça Nossa Política de Privacidade</p>
										</a>
									</li>
								</ul>
							</section>

						<!-- Actions -->
							<section>
								<ul class="actions stacked">
									<li><a href="https://sobretudoumpouco.info/" class="button large fit">Visitar Site</a></li>
								</ul>
							</section>

					</section>

				<!-- Main -->
					<div id="main">

						<!-- Post -->
							<article class="post">
								<header>
									<div class="title">
										<h2><a href="#">Conhecimento Básico Sobre JavaScript</a></h2>
									</div>
							
								</header>
								<span class="image featured"><img src="https://1.bp.blogspot.com/-Uw3roJmjE-Y/YLDrwQTR7hI/AAAAAAAAAEw/KmgLVwUZHmssBE_YTed87Aw2nQN8r-HHQCLcBGAsYHQ/w640-h408/Importantes%2Bde%2BCria%25C3%25A7%25C3%25A3o%2Be%2BDesign%2BPara%2BSites.jpg" alt="Conhecimento Básico Sobre JavaScript" /></span>
								<p style="text-align: justify;">JavaScript (geralmente abreviado para JS) é uma linguagem leve, interpretada e orientada a objetos com grande funcionalidade e é mais conhecida como a linguagem de script para páginas da web, mas também é usada em muitos ambientes sem navegador.</p>
<p style="text-align: justify;">É uma linguagem de script multiparadigmática baseada em protótipo que é dinâmica e oferece suporte a estilos de programação orientados a objetos, compulsivos e funcionais.</p>
<p style="text-align: justify;">O JavaScript é executado no lado cliente da web, com o qual o comportamento dos sites quando ocorre um evento pode ser desenhado / programado. JavaScript é uma linguagem de script fácil de aprender, mas poderosa, amplamente usada para controlar o comportamento de páginas da web.</p>
<p style="text-align: justify;">Ao contrário de um equívoco popular, JS não é interpretado por Java. Resumindo, JavaScript é uma linguagem de script dinâmica que suporta a criação de objetos baseados em protótipos. A sintaxe básica é intencionalmente semelhante a Java e C ++ para reduzir o número de novos conceitos necessários para aprender a linguagem. Construções de linguagem como instruções if, loops for e while e loops switch e try ... catch funcionam da mesma forma que nessas linguagens (ou quase isso).</p>
<p style="text-align: justify;">JavaScript pode atuar como uma linguagem procedural orientada a objetos. Os objetos são criados programaticamente em JavaScript, com métodos e propriedades anexados a objetos vazios em tempo de execução, em oposição às definições de classe sintática comuns em linguagens compiladas como C ++ e Java. Uma vez que um objeto foi construído, ele pode ser usado como um projeto (ou protótipo) para criar objetos semelhantes.</p>
<p style="text-align: justify;">As funções dinâmicas do JavaScript incluem a criação de objetos de tempo de execução, listas de parâmetros variáveis, variáveis ​​de função, script dinâmico (via eval), introspecção de objeto (via for ...in) e recuperação de código. fonte (programas JavaScript podem descompilar corpos de função de volta em seu texto).</p>
Quer saber mais sobre como usar <a href="https://vidafullstack.com.br/javascript/foreach-map-filter-find-every-some-reduce-com-javascript/">foreach javascript</a>, forEach() map(), filter(), find(), every(), some() e reduce() acesse <a href="https://vidafullstack.com.br/javascript/foreach-map-filter-find-every-some-reduce-com-javascript/">vidafullstack</a>.
<p></p>
<p><em>Fonte: Comunidade MultPost (comunidade.multpost.com.br)</em></p>
							</article>

					</div>

				<!-- Footer -->
					<section id="footer">
						<ul class="icons">
							<ul class="icons">
								<li><a href="https://twitter.com/SobreTudoPouco" class="icon brands fa-twitter"><span class="label">Twitter</span></a></li>
								<li><a href="https://www.facebook.com/Sobre-Tudo-Um-Pouco-108092998136161" class="icon brands fa-facebook-f"><span class="label">Facebook</span></a></li>
								<li><a href="https://br.pinterest.com/contatosobretudoumpouco" class="icon brands fa-pinterest"><span class="label">Pinterest</span></a></li>
								<li><a href="https://github.com/sobretudoumpoucobr" class="icon brands fa-github"><span class="label">Github</span></a></li>
								<li><a href="https://sobretudoumpoucobr.weebly.com" class="icon brands fa-weebly"><span class="label">Weebly</span></a></li>
								<li><a href="https://sobretudoumpouco-br.blogspot.com" class="icon brands fa-blogger"><span class="label">Blogger</span></a></li>
								<li><a href="https://sobretudoumpoucobr.wordpress.com" class="icon brands fa-wordpress"><span class="label">Wordpress</span></a></li>
								<li><a href="https://500px.com/p/contatosobretudoumpouco" class="icon brands fa-500px"><span class="label">500px</span></a></li>
								<li><a href="https://www.reddit.com/user/SobreTudoUmPouco" class="icon brands fa-reddit"><span class="label">Reddit</span></a></li>
								<li><a href="https://sobretudoumpouco-blog.tumblr.com" class="icon brands fa-tumblr"><span class="label">Tumblr</span></a></li>
								
						</ul>
						<p class="copyright">&copy; <a href="https://sobretudoumpouco.info/">Sobre Tudo Um Pouco</a>. 
					</section>

			</div>

		<!-- Scripts -->
			<script src="../assets/js/jquery.min.js"></script>
			<script src="../assets/js/browser.min.js"></script>
			<script src="../assets/js/breakpoints.min.js"></script>
			<script src="../assets/js/util.js"></script>
			<script src="../assets/js/main.js"></script>

	</body>
</html>
